/*
# openGLTest : $Revision$  
# $Date$ 
# Created by $Author$
# Usage : openGLTest
# Attention
#   $Loccker$
#  	$State$ 
#
*/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>                  
#define GLOBAL_DECLARATION
#include "../inc/config.h"

#define DEBUG
#include "genUtil.h"
#include "openGL.h"
#include "aa.h"

/*
Example:
typedef struct lopenGLTestInfo {
	float a;
	int   b;
} lopenGLTestInfo;

typedef enum lopenGLTestMode {
	a=0,
	b=1
} lopenGLTestMode;
*/

int
main(int argc, char* argv[]) 
{
	openGLTestInfo info;

	init0(&info);
    argCheck(&info, argc, argv);
    init1(&info);

	DEBUGPRINT("Program Start\n");

	fprintf(stderr, "input: %s\n", info.In);
	__openGLAA();
	__openGLBB();

	openGLKeyDefault('c', info.X ,info.Y);
	exit(EXIT_SUCCESS);
}

void
additionalUsage()
{
	fprintf(stderr, "----- Additional Usage -----\n");
}
